jQuery( document ).ajaxComplete(function() {
    "use strict";
    tw_init();
    jQuery(window).resize();
});
jQuery(document).ready(function ($) {
    "use strict";
    tw_init();
    /* Standard Blog Infinite */
    jQuery('.blog-section').each(function (i) {
        var $currentBlogSec = jQuery(this);
        var $currentInfinite = $currentBlogSec.children('.tw-infinite-scroll');
        if($currentInfinite.length){
            var $currentNextLink = $currentInfinite.find('a.next');
            if($currentNextLink.length){
                $currentNextLink.off('click').on('click', function (e) {e.preventDefault();
                    if ($currentInfinite.attr('data-has-next') === 'true') {
                        var $infiniteURL = $currentNextLink.attr('href');
                        $currentInfinite.addClass('waiting');
                        $currentInfinite.find('.next').hide();
                        $currentInfinite.find('.loading').css('display', 'inline-block');
                        jQuery.ajax({
                            type: "POST",
                            url: $infiniteURL,
                            success: function (response) {
                                var $currentArticles = $currentBlogSec.find('article');
                                var $newSection = jQuery(response).find('.blog-section').eq(i);
                                var $newURL  = $newSection.find('.tw-infinite-scroll a.next').length?$newSection.find('.tw-infinite-scroll a.next').attr('href'):false;
                                var $hasNext = $newSection.find('.tw-infinite-scroll').attr('data-has-next');
                                var $newArticles = $newSection.find('article');
                                if ($currentArticles.length && $newArticles.length) {
                                    $currentArticles.last().after($newArticles);
                                    if ($hasNext === 'false' || $newURL === false) {
                                        $currentInfinite.attr('data-has-next', 'false');
                                        $currentInfinite.find('.loading').hide();
                                    } else {
                                        $currentNextLink.attr('href', $newURL);
                                        $currentInfinite.find('.loading').hide();
                                        $currentInfinite.find('.next').css('display', 'inline-block');
                                    }
                                    /* Relayout */
                                    var $infIntCnt=3;
                                    var $infIntTimeout=1500;
                                    var $currentIsotopeContainer=$('.isotope-container',$currentBlogSec);
                                    if($currentIsotopeContainer.length){
                                        if($currentIsotopeContainer.find('img').length){
                                            $infIntCnt=1;
                                            $infIntTimeout=5000;
                                            $currentIsotopeContainer.find('img').off("load").on("load",function(){
                                                hotsugarRelayout($currentIsotopeContainer);
                                            });
                                        }
                                        var $infInt=setInterval(function(){
                                            if($infIntCnt--<0){clearInterval($infInt);}
                                            hotsugarRelayout($currentIsotopeContainer);
                                        },$infIntTimeout);
                                    }
                                } else {
                                    $currentInfinite.attr('data-has-next', 'false');
                                    $currentInfinite.children('.loading').hide();
                                }
                                $currentInfinite.removeClass('waiting');
                            }
                        }).fail(function() {
                            $currentInfinite.removeClass('waiting');
                            $currentInfinite.attr('data-has-next', 'false');
                            $currentInfinite.find('.loading').hide();
                        });
                    }
                });
                if ($currentInfinite.hasClass('infinite-auto')&&$currentNextLink.length) {
                    jQuery(window).scroll(function () {
                        var addH=500;
                        var $lnkAllH = $currentNextLink.offset().top + $currentNextLink.height();
                        var $wndAllH = jQuery(window).scrollTop() + jQuery(window).height()+addH;
                        if (!$currentInfinite.hasClass('waiting') && $lnkAllH < $wndAllH) {
                            if($currentInfinite.parent().css('display')!=='none'){
                                $currentNextLink.trigger('click');
                            }
                        }
                    });
                }
            }
        }
    });
    /* Waves Modal Button V-2 */
    $('.tw-modal-btn').each(function(){
        var $cMdlBtn=$(this);
        var $cMdl=$($cMdlBtn.data('modal'));
        var $cMdlBtnCl=$('.nav-icon-container,.tw-mdl-overlay-close');
        $cMdlBtn.on('click',function(e){e.preventDefault();
            if($cMdl.is('.active')){
                $cMdlBtn.removeClass('active');
                $cMdl.removeClass('active'); 
                $('body').removeClass('modal-opened');
            }else{
                if($('body').is('.modal-opened')){
                    $('.tw-modal-btn.active').trigger('click');
                }
                $('body').addClass('modal-opened');
                $cMdlBtn.addClass('active');
                $cMdl.addClass('active');  
            }
            if($cMdlBtn.is('.tw-search-icon')&&$cMdlBtn.is('.active')){
                $('.tw-search-menu .searchform input').focus().select();
            }
            return false;
        });
        $cMdlBtnCl.on('click',function(e){e.preventDefault();
            $('.tw-modal-btn.active').trigger('click');
        });
    });
    
    /* Search Form Result */
    $(".tw-search-menu form.searchform").submit(function(e){e.preventDefault();
        var $currForm=$(this);
        var $formData = $currForm.serialize();
        var $actionURL = $currForm.attr('action');
        if(!$currForm.hasClass('waiting')){
            $currForm.addClass('waiting');
            $currForm.find('input[type="submit"]').each(function(){
                jQuery(this).attr('disabled','disabled');
            });
            jQuery.ajax({type:"GET", url:$actionURL, data:$formData, success:function(response){
                if(jQuery(response).find('.content-area').length){
                    var $result=jQuery(response).find('.content-area');
                    $('.searchform',$result).remove();
                    $currForm.siblings('.tw-search-result').find('.tw-search-result-inner').first().html($result.html()).animate({scrollTop: 0}, 500);
                    if($currForm.siblings('.tw-search-result').find('.mCSB_container').length && $currForm.siblings('.tw-search-result').find('.mCSB_dragger').length){
                        setTimeout(function(){
                            $currForm.siblings('.tw-search-result').find('.mCSB_container').first().animate({top: 0},500);
                            $currForm.siblings('.tw-search-result').find('.mCSB_dragger')  .first().animate({top: 0},500);
                        },100);
                    }
                    $currForm.removeClass('waiting');
                }
            }});
        }
        return false;
    });
    $(document).on("click",'.tw-search-result-inner .tw-pagination a',function(e){e.preventDefault();
        var $currLink=$(this);
        var $href = $currLink.attr('href');
        var $currForm =$("form.searchform");
        if(!$currForm.hasClass('waiting')){
            $currForm.addClass('waiting');
            jQuery.ajax({type:"GET", url:$href, success:function(response){
                if(jQuery(response).find('.content-area').length){
                    var $result=jQuery(response).find('.content-area');
                    $('.searchform',$result).remove();
                    $currForm.siblings('.tw-search-result').find('.tw-search-result-inner').first().html($result.html()).animate({scrollTop: 0}, 500);
                    if($currForm.siblings('.tw-search-result').find('.mCSB_container').length && $currForm.siblings('.tw-search-result').find('.mCSB_dragger').length){
                        setTimeout(function(){
                            $currForm.siblings('.tw-search-result').find('.mCSB_container').first().animate({top: 0},500);
                            $currForm.siblings('.tw-search-result').find('.mCSB_dragger')  .first().animate({top: 0},500);
                        },100);
                    }
                    $currForm.removeClass('waiting');
                }
            }});
        }
        return false;
    });
    
    
    // OwlCarousel
    if ($().owlCarousel !== undefined && $().owlCarousel !== 'undefined') {
        $('.tw-slider').each(function(){
            var $startPosition = 0;
            var $singleItem = true;
            var $tablet = 1;
            var $laptop = 1;
            var $slAuto = hotsugar_script_data.slider_auto;
            var $slDelay = hotsugar_script_data.slider_delay;
            var $items = 1;
            if($(this).hasClass('slider2')){
                $startPosition = 1;
            } else if($(this).hasClass('slider3')){
                $singleItem = false;
                $tablet = 2;
                $laptop = 3;
                $items = 4;
            } else if($(this).hasClass('slider5')){
                $singleItem = false;
                $tablet = $laptop = $items = 2;
            }
            $('.tw-slider .owl-carousel').owlCarousel({
                singleItem: $singleItem,
                navText: ["<i class='ion-ios-arrow-left'></i>", "<i class='ion-ios-arrow-right'></i>"],
                nav: true,
                dots: false,
                autoplay: $slAuto,
                autoplayTimeout: $slDelay,
                startPosition: $startPosition,
                loop: true,
                items: $items,
                responsive:{
                    0: {
                        items: 1
                    },
                    768:{
                        items: $tablet
                    },
                    960:{
                        items: $laptop
                    },  
                    1200:{
                        items: $items
                    },   
                }
            });
        });
        $('.instagram-pics.owl-carousel').each(function(){
            var $cOwl = $(this);
            var $singleItem = $cOwl.closest('.tw-instagram').hasClass('tw-instagram') ? false : true;
            var $items = $cOwl.closest('.tw-instagram').hasClass('tw-instagram') ? ($('body').hasClass('theme-boxed') ? 5 : 8) : 1;
            var $pagination = $cOwl.closest('.sidebar-area').hasClass('sidebar-area') ? true : false;
            var $autoPlay = $cOwl.data('auto-play');
            if ($autoPlay === '') {
                $autoPlay = false;
            }
            $cOwl.owlCarousel({
                autoPlay: $autoPlay,
                nav: false,
                dots: $pagination,
                stopOnHover: true,
                items: $items,
                singleItem: $singleItem,
                responsive:{
                    0: {
                        items: 3
                    },
                    599:{
                        items: 4
                    },
                    768:{
                        items: 5
                    },
                    960:{
                        items: 6
                    },  
                    1200:{
                        items: $items
                    },   
                }
            });
        });        
        $('.tw-post-carousel > .owl-carousel').each(function(){
            var $cOwl = $(this);
            var $items = $cOwl.hasClass('layout-2') ? 3 : 4;
            var $autoPlay = $cOwl.data('auto-play');
            if ($autoPlay === '') {
                $autoPlay = false;
            }
            $cOwl.owlCarousel({
                autoPlay: $autoPlay,
                navigation: false,
                pagination: true,
                stopOnHover: true,
                margin: 20,
                dotsEach: true,
                responsive:{
                    0: {
                        items: 1
                    },
                    640:{
                        items: 2
                    },
                    991:{
                        items: $items
                    }
                }
            });
        });        
    }
    $('.feature-posts').each(function(){
        var $cFeatPost=$(this);
        var $cFeatPostItems=$cFeatPost.children('.post-item');
        var $auto=true;
        var $time=0;
        var $timeInt=1000;
        var $timeMax=3000;
        $cFeatPostItems.each(function(){
            var $cFeatPostItem=$(this);
            $cFeatPostItem.on({
                mouseenter: function () {
                    $cFeatPostItem.addClass('active').siblings('.post-item').removeClass('active');
                    $auto=false;
                },
                mouseleave:function () {
                    $time=0;
                    $auto=true;
                }
            });
        });
        if($cFeatPostItems.length>1){
            setInterval(function(){
               if($auto&&$time>$timeMax){
                   $time=0;
                   var $activeItem=$cFeatPost.children('.post-item.active');
                   var $nextItem=$activeItem.next('.post-item').hasClass('post-item')?$activeItem.next('.post-item'):$cFeatPostItems.eq(0);
                   $nextItem.addClass('active');
                   $activeItem.removeClass('active');
               }else{
                   $time+=$timeInt;
               }
            },$timeInt);
        }
    });

    /* navigation */
    $('.tw-menu ul.sf-menu').superfish({
        delay: 0,
        animation: {
            opacity: 'show',
            height: 'show'
        },
        speed: 'fast',
        autoArrows: false,
        dropShadows: false
    });

    // Single Header
    function scroll_top(){
        var scroll_top = jQuery(window).scrollTop(),
            i = jQuery("#scroll-bar"),
            e = jQuery(document).height(),
            t = jQuery(window).height(),
            n = jQuery(document).scrollTop(),
            o = n / (e - t) * 100;
        if( scroll_top > 0 ){
            jQuery('.blog-single-nav').addClass('active');
            i.css("width", o + "%");
        }else{
            i.css("width", "0");
            jQuery('.blog-single-nav').removeClass('active');
        }
        
    }
    jQuery(window).scroll(scroll_top);
    /* Mobile Menu - Sub Menu Action */
    jQuery('.sf-mobile-menu .menu-item-has-children').prepend('<i class="before"></i>');
    $(document).on("click",'.sf-mobile-menu .menu-item-has-children>.before',function(e){e.preventDefault();
        var $parMenu = jQuery(this).closest('li');
        $parMenu.siblings('li.menu-open').removeClass('menu-open').children('.sub-menu').slideUp('fast');
        $parMenu.toggleClass('menu-open');
        if ($parMenu.hasClass('menu-open')) {
            $parMenu.children('.sub-menu').slideDown('fast');
        } else {
            $parMenu.children('.sub-menu').slideUp('fast');
        }
        return false;
    });
    
    $(document).on("click",'.entry-share > a',function (e) {
        e.preventDefault();
        jQuery.post($(this).parent('.entry-share').data('ajaxurl'), {social_pid: $(this).parent('.entry-share').data('id'),social_name:$(this).attr('class')});
        switch($(this).attr('class')){
            case'facebook':
                window.open('https://www.facebook.com/sharer/sharer.php?u=' + jQuery(this).attr('href'), "facebookWindow", "height=380,width=660,resizable=0,toolbar=0,menubar=0,status=0,location=0,scrollbars=0");
            break;
            case'twitter':
                window.open('http://twitter.com/intent/tweet?text=' + $(this).data('title') + ' ' + jQuery(this).attr('href'), "twitterWindow", "height=380,width=660,resizable=0,toolbar=0,menubar=0,status=0,location=0,scrollbars=0");
            break;
            case'pinterest':
                window.open('http://pinterest.com/pin/create/button/?url=' + jQuery(this).attr('href') + '&media=' + $(this).closest('article').find('img').first().attr('src') + '&description=' + $('article h1').text(), "pinterestWindow", "height=640,width=660,resizable=0,toolbar=0,menubar=0,status=0,location=0,scrollbars=0");
            break;
            case'google':
                window.open('https://plus.google.com/share?url={' + jQuery(this).attr('href') + '}', "googleWindow", "height=640,width=660,resizable=0,toolbar=0,menubar=0,status=0,location=0,scrollbars=0");
            break;
        }
        
        return false;
    });

    /* Scroll Up Menu */
    var $scrollTopOld = jQuery(window).scrollTop();
    var $scrollUpMax = 100;
    var $scrollUp = 0;
    var $scrollDownMax = 50;
    var $scrollDown = 0;
    jQuery(window).scroll(function (e) {
        var $header = jQuery('header>.tw-menu-container');
        var $headerClone = $header.siblings('.header-clone');
        var $headerCloneOT = $headerClone.offset().top;
        var $scrollTop = jQuery(window).scrollTop();
        /* START - Header resize */
        /* Important - Is HeaderScrollUp Check First */
        if(jQuery('#wpadminbar').attr('id')==='wpadminbar'){$headerCloneOT-=jQuery('#wpadminbar').height();}
        var $diff = $scrollTopOld - $scrollTop;
        if ($diff > 0) {/* Scroll Up */
            $scrollUp += $diff;
            $scrollDown = 0;
        } else {/* Scroll Down */
            $scrollUp = 0;
            $scrollDown -= $diff;
        }
        $scrollTopOld = $scrollTop;
        if ($scrollUpMax <= $scrollUp && $scrollTop > 0 && $headerCloneOT < $scrollTop && !jQuery('body').hasClass('header-small')) {
            jQuery('body').addClass('header-small');
            $header.css('margin-top', ('-' + $header.height() + 'px'));
            $header.stop().animate({marginTop: 0}, 200, 'linear', function () {
                $header.css({'margin-top': ''});
            });
        } else if (($scrollDownMax <= $scrollDown || $scrollTop === 0 || $headerCloneOT>$scrollTop) && jQuery('body').hasClass('header-small') && !$header.hasClass('hidding')) {
            if ($scrollTop === 0 || $headerCloneOT>$scrollTop) {
                jQuery('body').removeClass('header-small').removeClass('hidding');
            } else {
                $header.stop().addClass('hidding').animate({marginTop: ('-' + $header.height() + 'px')}, 200, 'linear', function () {
                    jQuery('body').removeClass('header-small');
                    $header.css({'margin-top': ''}).removeClass('hidding');
                });
            }
        }
        /* END   - Header resize */
    });
    jQuery(window).scroll();
    /* --------------- */
});
jQuery(window).load(function () {
    /* --------------- */
    jQuery(window).resize();
});
/* Resize */
jQuery(window).resize(function(){
    "use strict";
    /* GIF Resize */
    /* ------------------------------------------------------------------- */
    jQuery('.hotsugar-gif-container').each(function(){
       tw_gif_resize(jQuery(this),false);
    });
    /* Isotope Resize */
    /* ------------------------------------------------------------------- */
    setTimeout(function(){
        jQuery('.isotope-container').each(function () {
            hotsugarRelayout(jQuery(this));
        });
    },1000);
});