<?php
if (have_posts()) {
    wp_enqueue_script('hotsugar-isotope');
    global $hotsugar_options;
    $atts = $hotsugar_options;

    $atts['img_size'] = 'hotsugar_masonry_thumb';
    $atts['more_text'] = false;
    $width = 'col-md-4';
    if ($hotsugar_options['blog_sidebar'] == 'true') {
        $width = 'col-md-6';
    }

    echo '<div class="tw-blog masonry-blog tw-isotope-container clearfix">';
    echo '<div class="row isotope-container">';
    while (have_posts()) {
        the_post();
        ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class($width); ?>>
            <?php
            if (hotsugar_metabox('masonry_post')) {
                $img = $bgimage = '';
                if (has_post_thumbnail($post->ID)) {
                    $img = hotsugar_image('hotsugar_carousel_2', true);
                    if (hotsugar_metabox('parallax_post')) {
                        $img = hotsugar_image('hotsugar_carousel_3', true);
                        wp_enqueue_script('jarallax');
                        $bgimage .= ' data-jarallax=\'{"speed": 0.4}\'';
                    }
                    if (!empty($img['url'])) {
                        $bgimage .= ' style="background-image: url(' . esc_url($img['url']) . ');"';
                    }
                }
                echo '<div class="post-thumb tw-masonry tw-thumbnail"><a href="' . esc_url(get_permalink()) . '">';
                echo '<div class="single-media"' . ($bgimage) . '></div>';
                echo '<div class="image-overlay"></div>';
                $cats = preg_replace("/<a\s(.+?)>(.+?)<\/a>/is", "<span class='cat-item'>$2</span>", hotsugar_cats());
                echo '<div class="post-content"><div class="entry-cats">' . ($cats) . '</div>';
                echo '<h2 class="entry-title">' . get_the_title() . '</h2>';
                echo '<div class="tw-meta"><span class="date">' . get_the_time(get_option('date_format')) . '</span></div>';
                echo '</div></a></div>';
            } else {
                $format = get_post_format();
                $media = hotsugar_entry_media($format, $atts);
                ob_start();
                hotsugar_blogcontent($atts);
                $blogcontent = ob_get_clean();
                echo balanceTags($media);
                echo '<div class="entry-cats">' . hotsugar_cats() . '</div>';
                echo '<h2 class="entry-title"><a href="' . esc_url(get_permalink()) . '">' . get_the_title() . '</a></h2>';
                if (!empty($blogcontent)) {
                    echo '<div class="entry-content clearfix">';
                    echo balanceTags($blogcontent);
                    echo '<div class="entry-date tw-meta"><a href="' . esc_url(get_permalink()) . '">' . get_the_time(get_option('date_format')) . '</a></div>';
                    echo '</div>';
                }
            }
            ?>
        </article><?php
        $hotsugar_options['post__not_in'][] = $post->ID;
    }
    echo '</div>';
    echo '</div>';
    hotsugar_pagination($atts['pagination']);
}   
