<?php
if (have_posts()) {
    global $hotsugar_options;
    $atts = $hotsugar_options;   
    
    $atts['img_size'] = 'hotsugar_blog_large';
    if($hotsugar_options['blog_sidebar'] == 'true'){
        $atts['img_size'] = 'hotsugar_blog_thumb';
    }
    
    $atts['more_text'] = hotsugar_option('readmore', esc_html('Read More', 'hotsugar'));
    $class = (isset($atts['blog_excerpt']) && $atts['blog_excerpt'] == '0') ? ' no-border' : '';
    
    
    $share_count = 'hotsugar_origshare_count';
    $share_count = 'hotsugar_share_count';
    
    echo '<div class="tw-blog simple-blog'.esc_attr($class).'">';
    
    while (have_posts()) { the_post(); ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <?php 
            $format = get_post_format();
            $media = hotsugar_entry_media($format, $atts);
            $content_after = '';
            
            echo '<div class="entry-post">';                
               
                    ob_start();
                        hotsugar_blogcontent($atts);
                    $blogcontent = ob_get_clean();
                    if(empty($blogcontent)){
                        echo balanceTags($media);
                        $media = '';
                        $content_after .= '<div class="entry-content clearfix"><p class="more-link tw-hover tw-meta"><a href="'.esc_url(get_permalink()).'"><span>'.esc_html($atts['more_text']).'</span><i class="ion-ios-arrow-thin-right"></i></a></p></div>';
                    } else {
                        $post_image = hotsugar_image('full', true);
                        $content_after .= '<div class="entry-share" data-id="'.esc_attr($post->ID).'" data-ajaxurl="'.esc_url(home_url('/')).'">';
                            $content_after .= '<a class="facebook" href="' . esc_url(get_permalink()) . '" title="Share this"><i class="ion-social-facebook"></i><span>'.esc_html(call_user_func($share_count, array('facebook'))).'</span></a>';
                            $content_after .= '<a class="pinterest" href="' . esc_url(get_permalink()) . '" title="Pin It" data-image="' . esc_attr($post_image['url']) . '"><i class="ion-social-pinterest"></i><span>'.esc_html(call_user_func($share_count, array('pinterest'))).'</span></a>';
                            $content_after .= '<a class="twitter" href="' . esc_url(get_permalink()) . '" title="Tweet" data-title="' . esc_attr(get_the_title()) . '" data-id="'.esc_attr(get_the_id()).'" data-ajaxurl="'.esc_url(home_url('/')).'"><i class="ion-social-twitter"></i><span>'.esc_html(call_user_func($share_count, array('twitter'))).'</span></a>';
                            $content_after .= hotsugar_comment_count();
                        $content_after .= '</div>';
                    }
                    echo '<div class="entry-cats">'.hotsugar_cats().'</div>';
                    echo '<h2 class="entry-title"><a href="'.esc_url(get_permalink()).'">'.get_the_title().'</a></h2>';
                    echo '<div class="entry-date tw-meta"><span><a href="'.esc_url(get_permalink()).'">'.get_the_time(get_option('date_format')).'</a></span> / <span class="entry-author">'.esc_html__('By', 'hotsugar').'&nbsp;';
                    the_author_posts_link();  
                    echo '</span></div>';
                    echo balanceTags($media);
                    if(!empty($blogcontent)){
                        echo '<div class="entry-content clearfix">';
                            echo balanceTags($blogcontent);
                            if ((!(bool) preg_match('/<!--more(.*?)?-->/', $post->post_content) || !empty($atts['blog_excerpt'])) && !empty($atts['more_text'])){
                                echo '<p class="more-link tw-hover tw-meta"><a href="'.esc_url(get_permalink()).'"><span>'.esc_html($atts['more_text']).'</span><i class="ion-ios-arrow-thin-right"></i></a></p>';
                            }
                        echo '</div>';
                    }
                    echo ($content_after);
                    
                    
            echo '</div>';
            ?>
        </article><?php
        $hotsugar_options['post__not_in'][]=$post->ID;   
    }
    echo '</div>';
    
    hotsugar_pagination($atts['pagination']);
}   