<?php
if (is_single()) {
    global $hotsugar_options;
    if ($hotsugar_options['single_media'] == 'fullwidth' || $hotsugar_options['single_media'] == 'fullscreen') {
        $img = hotsugar_image('full', true);
        $bgimage = $class = '';
        if (!empty($img['url'])) {
            $bgimage = ' style="background-image: url(' . esc_url($img['url']) . ');"';
            $class = ' with-img';
        }
        if (hotsugar_metabox('parallax_post')) {
            wp_enqueue_script('jarallax');
            $bgimage .= ' data-jarallax=\'{"speed": 0.4}\'';
        }
        echo '<div class="single-media-container' . esc_attr($class) . '">';
        echo '<div class="single-media"' . ($bgimage) . '></div>';
        echo '<div class="single-media-content">';
        hotsugar_single_title();
        echo '</div>';
        echo '</div>';
    }
} elseif (is_page()) {
    global $hotsugar_options;
    $page_options = hotsugar_metaboxes();
    $feature = isset($page_options['slider']) ? $page_options['slider'] : '';
    if (!empty($feature)) {
        $query['ignore_sticky_posts'] = 1;
        $query['showposts'] = !empty($page_options['slider_post_count']) ? $page_options['slider_post_count'] : 3;
        if (!empty($page_options['slider_cat'])) {
            $query['category_name'] = $page_options['slider_cat'];
        }
        if ($feature == "slider2") {
            wp_enqueue_script('owl-carousel');
            echo '<div class="tw-slider-container">';
            echo '<div class="tw-slider slider2">';
            $feat_query = new WP_Query($query);
            $slider_item = array();
            if ($feat_query->have_posts()) :
                while ($feat_query->have_posts()) : $feat_query->the_post();
                    $hotsugar_options['post__not_in'][] = $post->ID;
                    $orig_image = hotsugar_image('full', true);
                    $sliderbg = '" style="background-image: url(' . $orig_image['url'] . ');';
                    if (hotsugar_metabox('parallax_post')) {
                        wp_enqueue_script('jarallax');
                        $sliderbg .= '" data-jarallax=\'{"speed": 0.3}\'';
                    }
                    $output = '<article class="slider-item">';
                    $output .= '<a href="' . esc_url(get_permalink()) . '"><div class="slider-img' . ($sliderbg) . '"></div></a>';
                    $output .= '<div class="slider-content">';
                    $output .= '<div class="entry-cats">' . hotsugar_cats() . '</div>';
                    $output .= '<h2 class="entry-title"><a href="' . esc_url(get_permalink()) . '"><span>' . get_the_title() . '</span></a></h2>';
                    $output .= '<div class="entry-date tw-meta"><a href="' . esc_url(get_permalink()) . '"><span>' . get_the_time(get_option('date_format')) . '</span></a></div>';
                    $output .= '</div>';
                    $output .= '</article>';
                    $slider_item[] = $output;

                endwhile;
                wp_reset_postdata();
            endif;            

            $lastvalue = end($slider_item);
            $new_item = array($lastvalue);
            array_pop($slider_item);
            $newsliders = array_merge($new_item, $slider_item);

            if (!empty($newsliders)) {
                echo '<div class="container"><div class="owl-carousel">';
                foreach ($newsliders as $newslider) {
                    echo balanceTags($newslider);
                }
                echo '</div></div>';
            }
            echo '</div>';
            echo '</div>';
        } elseif ($feature == "custom" && !empty($page_options['slider_shortcode'])) {
            echo '<div class="tw-slider-container">';
            echo '<div class="tw-slider custom-slider">';
            echo do_shortcode($page_options['slider_shortcode']);
            echo '</div>';
            echo '</div>';
        } else {
            wp_enqueue_script('owl-carousel');
            echo '<div class="tw-slider-container">';
            echo '<div class="tw-slider ' . esc_attr($feature) . '">';
            $feat_query = new WP_Query($query);
            if ($feat_query->have_posts()) :
                echo '<div class="owl-carousel">';
                while ($feat_query->have_posts()) : $feat_query->the_post();
                    $orig_image = hotsugar_image('full', true);
                    $sliderbg = '';
                    $sliderbg = '" style="background-image: url(' . $orig_image['url'] . ');';
                    if (hotsugar_metabox('parallax_post')) {
                        wp_enqueue_script('jarallax');
                        $sliderbg .= '" data-jarallax=\'{"speed": 0.3,"noAndroid": true}\'';
                    }
                    $hotsugar_options['post__not_in'][] = $post->ID;
                    echo '<article class="slider-item">';
                    echo '<div class="slider-img' . ($sliderbg) . '"></div>';
                    echo '<div class="slider-content">';
                    echo '<div class="entry-cats">' . hotsugar_cats() . '</div>';
                    echo '<h2 class="entry-title"><a href="' . esc_url(get_permalink()) . '"><span>' . get_the_title() . '</span></a></h2>';
                    echo '<div class="entry-date tw-meta"><a href="' . esc_url(get_permalink()) . '"><span>' . get_the_time(get_option('date_format')) . '</span></a></div>';
                    echo '</div>';
                    echo '</article>';

                endwhile;
                echo '</div>';
                wp_reset_postdata();
            endif;
            echo '</div>';
            echo '</div>';
        }
    }
} elseif (is_category()) {
    $title = single_cat_title("", false);
    $subtitle = esc_html__('Browsing category', 'hotsugar');
} elseif (is_search()) {
    $title = get_search_query();
    $subtitle = esc_html__('Search results for', 'hotsugar');
} elseif (is_archive()) {
    if (is_day()) {
        $subtitle = esc_html__("Daily Archives", 'hotsugar');
        $title = get_the_date();
    } elseif (is_month()) {
        $subtitle = esc_html__("Monthly Archives", 'hotsugar');
        $title = get_the_date("F Y");
    } elseif (is_year()) {
        $subtitle = esc_html__("Yearly Archives", 'hotsugar');
        $title = get_the_date("Y");
    } elseif (is_author()) {
        $subtitle = '';
        $title = esc_html__("Author", 'hotsugar');
    } else {
        $title = esc_html__("Blog Archives", 'hotsugar');
        $subtitle = '';
    }
}

if (!empty($title)) {
    ?>
    <div class="feature-area">
        <div class="container">
            <div class="feature-title">
                <span class="tw-meta"><?php echo esc_html($subtitle); ?></span>
                <h1><?php echo esc_html($title); ?></h1>
            </div>
        </div>
    </div>
    <?php
}