<?php

/* ================================================================================== */
/*      Blog Shortcode
  /* ================================================================================== */

function hotsugar_standard_media($post, $atts) {
    if (has_post_thumbnail($post->ID)) {
        $output = '<div class="entry-media">';
            $output .= '<div class="tw-thumbnail">';
                $output .= hotsugar_image($atts['img_size']);
                if (is_single($post)) {
                    $img = hotsugar_image('full', true);
                    $output .= '<div class="image-overlay tw-middle"><div class="image-overlay-inner">';
                    $output .= '<a href="' . esc_url($img['url']) . '" rel="prettyPhoto[' . esc_attr($post->ID) . ']" title="' . esc_attr(get_the_title()) . '" class="overlay-icon">';
                    $output .= '</a></div></div>';
                } else {
                    $format = get_post_format();
                    $embed = trim(hotsugar_metabox('format_video_embed'));
                    $embedO = wp_oembed_get( $embed );
                    if($format&&($embed||$embedO)){
                        $output .= '<div class="tw-format-modal" data-format="video">';
                            $output .= '<div class="tw-format-modal-inner container">';
                                $output .= '<div class="row tw-format-modal-header">';
                                    $output .= hotsugar_logo();
                                    $output .= '<div class="col-md-9"></div>';
                                    $output .= '<div class="col-md-3">';
                                        $post_image = hotsugar_image('full', true);
                                        $output .= '<div class="entry-share" data-ajaxurl="'.esc_url(home_url('/')).'" data-id="'.esc_attr(get_the_id()).'">';
                                            $output .= '<div class="total-shares"><em>'.hotsugar_share_count().'</em><div class="caption">'. esc_html__('Shares', 'hotsugar') .'</div></div>';
                                            $output .= '<a class="facebook" href="' . esc_url(get_permalink()) . '" title="Share this"><i class="ion-social-facebook"></i></a>';
                                            $output .= '<a class="twitter" href="' . esc_url(get_permalink()) . '" title="Tweet" data-title="' . esc_attr(get_the_title()) . '"><i class="ion-social-twitter"></i></a>';
                                            $output .= '<a class="pinterest" href="' . esc_url(get_permalink()) . '" title="Pin It" data-image="' . esc_url(isset($post_image['url'])?$post_image['url']:'') . '"><i class="ion-social-pinterest"></i></a>';
                                        $output .= '</div>';
                                    $output .= '</div>';
                                    $output .= '<span class="close-modal"><div class="nav-icon-container"><div class="nav-icon tw-mdl-close active"><span></span><span></span><span></span></div></div></span>';
                                $output .= '</div>';
                                $output .= '<div class="row">';
                                    $output .= '<div class="col-md-2"></div>';
                                    $output .= '<div class="col-md-8">';
                                        $output .= '<div class="entry-media">';
                                            if ($embedO) {
                                                $output .= balanceTags($embedO);
                                            } else {
                                                $output .= htmlspecialchars_decode($embed);
                                            }
                                        $output .= '</div>';
                                    $output .= '</div>';
                                $output .= '</div>';
                            $output .= '</div>';
                        $output .= '</div>';
                        $output .= '<i class="video-format-icon ion-ios-play open-modal"></i>';
                        $output .= '<div class="image-overlay tw-middle"><div class="image-overlay-inner"></div></div>';
                    }else{
                        $output .= '<div class="image-overlay tw-middle"><div class="image-overlay-inner"><a href="' . esc_url(get_permalink()) . '" title="' . esc_attr(get_the_title()) . '" class="overlay-icon"></a></div></div>';
                    }
                }
            $output .= '</div>';
        $output .= '</div>';
        return $output;
    }
}

function hotsugar_entry_media($format, $atts) {
    global $post;
    if (!is_single() && has_post_thumbnail($post->ID)) {
        return hotsugar_standard_media($post, $atts);
    }
    $output='';
    switch ($format) {
        case 'gallery':
            $images = explode(',', hotsugar_metabox('gallery_image_ids'));
            if ($images) {
                $output .= '<div class="entry-media">';
                    $output .= '<div class="tw-format-modal" data-format="gallery">';
                        $output .= '<div class="tw-format-modal-inner container">';
                            $output .= '<div class="row tw-format-modal-header">';
                                $output .= hotsugar_logo();
                                $output .= '<div class="col-md-9"></div>';
                                $output .= '<div class="col-md-3">';
                                    $post_image = hotsugar_image('full', true);
                                    $output .= '<div class="entry-share" data-ajaxurl="'.esc_url(home_url('/')).'" data-id="'.esc_attr(get_the_id()).'">';
                                        $output .= '<div class="total-shares"><em>'.hotsugar_share_count().'</em><div class="caption">'. esc_html__('Shares', 'hotsugar') .'</div></div>';
                                        $output .= '<a class="facebook" href="' . esc_url(get_permalink()) . '" title="Share this"><i class="ion-social-facebook"></i></a>';
                                        $output .= '<a class="twitter" href="' . esc_url(get_permalink()) . '" title="Tweet" data-title="' . esc_attr(get_the_title()) . '"><i class="ion-social-twitter"></i></a>';
                                        $output .= '<a class="pinterest" href="' . esc_url(get_permalink()) . '" title="Pin It" data-image="' . esc_url(isset($post_image['url'])?$post_image['url']:'') . '"><i class="ion-social-pinterest"></i></a>';
                                    $output .= '</div>';
                                $output .= '</div>';
                                $output .= '<span class="close-modal"><div class="nav-icon-container"><div class="nav-icon tw-mdl-close active"><span></span><span></span><span></span></div></div></span>';
                            $output .= '</div>';
                            $output .= '<div class="row">';
                                $output .= '<div class="col-md-8">';
                                    $output .= '<div class="owl-carousel">';
                                        $count=0;
                                        $defImage=$defTitle=$defDesc=false;
                                        foreach ($images as $image) {
                                            if($image){
                                                $count++;
                                                $img = wp_get_attachment_image_src($image, $atts['img_size']);
                                                $title=get_the_title();
                                                $desc = get_post_field('post_excerpt', $image);
                                                $image = '<img src="' . esc_url($img[0]) . '"' . ($desc ? ' title="' . esc_attr($desc) . '"' : '') . ' />';
                                                if($defTitle===false){
                                                    $defTitle=$title;
                                                }
                                                if($defDesc===false){
                                                    $defDesc=$desc;
                                                }
                                                if($defImage===false){
                                                    $defImage=$image;
                                                }
                                                $output .= '<div>';
                                                    $output .= '<div class="owl-item-data">';
                                                        $output .= '<h4 class="gallery-title">'.esc_html($title).'</h4>';
                                                        $output .= '<div class="desc">'.esc_html($desc).'</div>';
                                                    $output .= '</div>';
                                                    $output .= wp_kses_post($image);
                                                $output .= '</div>';
                                            }
                                        }
                                    $output .= '</div>';
                                $output .= '</div>';
                                $output .= '<div class="col-md-1"></div>';
                                $output .= '<div class="col-md-3">';
                                    $output .= '<div class="owl-carousel-meta">';
                                        $tmp=esc_html__('%index% of %count%', 'hotsugar');
                                        $output .= '<div class="pagination" data-template="'.$tmp.'">'.str_replace(array('%index%','%count%'),array(1,$count),$tmp).'</div>';
                                        $output .= '<h4 class="gallery-title">'.esc_html($defTitle).'</h4>';
                                        $output .= '<div class="desc">'.esc_html($defDesc).'</div>';
                                        $output .= '<div class="nav"></div>';
                                    $output .= '</div>';
                                $output .= '</div>';
                            $output .= '</div>';
                        $output .= '</div>';
                    $output .= '</div>';
                    $output .= '<div class="tw-thumbnail">';
                        $output .= '<div class="image-overlay-inner"><a href="#" title="' . esc_attr($defDesc) . '" class="overlay-icon open-modal">';
                            $output .= '<h2>'.esc_html__('View Gallery', 'hotsugar').'</h2>';
                            $output .= '<h6>'.wp_kses_post(sprintf(_n( '%s photo', '%s photos', $count, 'hotsugar' ), $count)).'</h6>';
                        $output .= '</a></div>';
                        $output .= $defImage;
                    $output .= '</div>';
                $output .= '</div>';
            } else {
                $output = hotsugar_standard_media($post, $atts);
            }
        break;

        case 'video':
            $embed = trim(hotsugar_metabox('format_video_embed'));
            $embedO = wp_oembed_get( $embed );
            if($embed||$embedO){
                $output .= '<div class="entry-media">';
                    if ($embedO) {
                        $output .= balanceTags($embedO);
                    } else {
                        $output .= htmlspecialchars_decode($embed);
                    }
                $output .= '</div>';
            } else {
                $output .= hotsugar_standard_media($post, $atts);
            }
        break;
        case 'audio':
            $mp3 = hotsugar_metabox('format_audio_mp3');
            $embed = hotsugar_metabox('format_audio_embed');
            if ($mp3) {
                $output .= '<div class="entry-media">';
                $output .= apply_filters("the_content", '[audio src="' . esc_url($mp3) . '"]');
                $output .= '</div>';                
            } elseif (wp_oembed_get($embed)) {
                $output .= '<div class="entry-media">';
                $output .= wp_oembed_get($embed);
                $output .= '</div>';
            } elseif (!empty($embed)) {
                $output .= '<div class="entry-media">';
                $output .= apply_filters("the_content", htmlspecialchars_decode($embed));
                $output .= '</div>';
            } else {
                $output = hotsugar_standard_media($post, $atts);
            }
        break;
        default :
            $output = hotsugar_standard_media($post, $atts);
    }
    return $output;
}

function hotsugar_blogcontent($atts) {
    global $more;
    $more = 0;
    if (has_excerpt()) {
        the_excerpt();
    } elseif (isset($atts['blog_excerpt']) && $atts['blog_excerpt'] != "") {
        $more = 1;
        echo apply_filters("the_content", hotsugar_excerpt(strip_shortcodes(wp_strip_all_tags(get_the_content(), true)), $atts['blog_excerpt']));
    } else {
        the_content($atts['more_text']);
    }
}

function hotsugar_excerpt($str, $length) {
    $str = explode(" ", strip_tags($str));
    return implode(" ", array_slice($str, 0, $length));
}

add_filter('the_content_more_link', 'hotsugar_read_more_link', 10, 2);

function hotsugar_read_more_link($output, $read_more_text) {
    $output = '<p class="more-link tw-hover tw-meta"><a href="' . esc_url(get_permalink()) . '"><span>' . $read_more_text . '</span><i class="ion-ios-arrow-thin-right"></i></a></p>';
    return $output;
}

/* One Click other */

function hotsugar_import_files() {
    return array(
        array(
            'import_file_name' => esc_html__('All Dummy Data', 'hotsugar'),
            'import_file_url' => HOTSUGAR_DIR . '/dummy-data/all-dummy.xml',
            'import_widget_file_url' => HOTSUGAR_DIR . '/dummy-data/widgets.json',
            'import_preview_image_url' => HOTSUGAR_DIR . '/dummy-data/screenshot.jpg',
            'import_redux' => array(
                array(
                    'file_url' => HOTSUGAR_DIR . '/dummy-data/all-dummy.json',
                    'option_name' => 'hotsugar_redux',
                ),
            ),
            'import_notice' => esc_html__('After you imported demo then set the Main menu and Edit Main Categories and enable the Customize options.', 'hotsugar'),
        ),
    );
}

add_filter('pt-ocdi/import_files', 'hotsugar_import_files');

function hotsugar_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by('name', 'Menu', 'nav_menu');

    set_theme_mod('nav_menu_locations', array(
        'main' => $main_menu->term_id,
            )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title('Home');

    update_option('show_on_front', 'page');
    update_option('page_on_front', $front_page_id->ID);
}

add_action('pt-ocdi/after_import', 'hotsugar_after_import_setup');
