<?php

function hotsugar_option_styles(){
    //Body
    $body_default = array(
        'font-size'   => '14px',
        'font-family' => 'Poppins',
        'font-weight' => '400',
        'font-backup' => 'Arial, Helvetica, sans-serif',
    );
    $body_bg = hotsugar_option('boxed_bg', array('background-color' => '#e6e6e6'));
    $body_typography = hotsugar_option('body_font', $body_default);
    $body_typography['font-backup'] = !empty($body_typography['font-backup']) ? $body_typography['font-backup'] : 'Arial, Helvetica, sans-serif';

    //Heading
    $heading_typography = hotsugar_option('heading_font');    
    $menu_typography = hotsugar_option('menu_font');    
    $submenu_typography = hotsugar_option('submenu_font');    
    $post_meta_typography = hotsugar_option('meta_font');
    
    $h1_font_size = hotsugar_option('h1_font', '36px');
    $h2_font_size = hotsugar_option('h2_font', '30px');
    $h3_font_size = hotsugar_option('h3_font', '24px');
    $h4_font_size = hotsugar_option('h4_font', '20px');
    $h5_font_size = hotsugar_option('h5_font', '18px');
    $h6_font_size = hotsugar_option('h6_font', '16px');
    
    $primary_color = hotsugar_option('primary_color', '#ff1155');
    $body_color = hotsugar_option('body_color', '#666');
    $heading_color = hotsugar_option('heading_color', '#151515');
    $header_opacity = hotsugar_option('header_opacity', '0');
    $link_color = hotsugar_option('link_color', array('regular' => '#808080', 'hover' => '#999'));
    $meta_color = hotsugar_option('post_metacolor', '#999');
    $header_bg = hotsugar_option('header_bgcolor', '#fff');
    $header_color = hotsugar_option('menu_color', '#151515');
    $menu_hover = hotsugar_option('menu_hover', $primary_color);
    $submenu_bg = hotsugar_option('submenu_bg', '#151515');
    $submenu_color = hotsugar_option('submenu_color', '#fff');
    $submenu_hover = hotsugar_option('submenu_hover_color', '#fff');
    $submenu_hoverbg = hotsugar_option('submenu_hover_bg', $primary_color);
    $footer_bg = hotsugar_option('footer_bgcolor', '#151515');
    $footer_color = hotsugar_option('footer_text_color', '#999');
    $footer_border_color = hotsugar_option('footer_border_color', '#e6e6e6');
    $footer_widget = hotsugar_option('footer_widget_color', '#ccc');
    $footer_heading = hotsugar_option('footer_heading_color', '#fff');
    $footer_link = hotsugar_option('footer_link_color', array('regular' => '#ccc', 'hover' => '#fff'));
    
    $header_height = hotsugar_option('header_height', '50');
    $slider_height = hotsugar_option('slider_height', '500');
    
    $output = '';
    $output .= 'body{';
        $output .= !empty($body_color) ? ('color: '.esc_attr($body_color).';') : '';
        if( !empty($body_typography['font-family']) ){
            $output .= 'font-family: "'.esc_attr($body_typography['font-family']).'", ' . $body_typography['font-backup'] .';';
        }
        $output .= !empty($body_typography['font-size']) ? ('font-size: '.esc_attr($body_typography['font-size']).';') : '';
        $output .= !empty($body_typography['font-weight']) ? ('font-weight: '.esc_attr($body_typography['font-weight']).';') : '';
    $output .= '}';
    
    $output .= '.tw-menu ul.sf-menu{';
        $output .= !empty($menu_typography['font-family']) ? ('font-family: '.esc_attr($menu_typography['font-family']).';') : '';
        $output .= !empty($menu_typography['font-size']) ? ('font-size: '.esc_attr($menu_typography['font-size']).';') : '';
        $output .= !empty($menu_typography['font-weight']) ? ('font-weight: '.esc_attr($menu_typography['font-weight']).';') : '';
        $output .= !empty($menu_typography['text-transform']) ? ('text-transform: '.esc_attr($menu_typography['text-transform']).';') : '';
    $output .= '}';
    
    $output .= '.tw-menu ul.sf-menu ul{';
        $output .= !empty($submenu_typography['font-family']) ? ('font-family: '.esc_attr($submenu_typography['font-family']).';') : '';
        $output .= !empty($submenu_typography['font-size']) ? ('font-size: '.esc_attr($submenu_typography['font-size']).';') : '';
        $output .= !empty($submenu_typography['font-weight']) ? ('font-weight: '.esc_attr($submenu_typography['font-weight']).';') : '';
        $output .= !empty($submenu_typography['text-transform']) ? ('text-transform: '.esc_attr($submenu_typography['text-transform']).';') : '';
    $output .= '}';
    
    if(hotsugar_option('theme_layout') == 'boxed'){
        $output .= 'body.theme-boxed{';
        $output .= !empty($body_bg['background-color']) ? ('background-color:'.esc_attr($body_bg['background-color']).';') : '';
        $output .= !empty($body_bg['background-image']) ? ('background-image: url('.esc_attr($body_bg['background-image']).');') : '';
        $output .= !empty($body_bg['background-repeat']) ? ('background-repeat:'.esc_attr($body_bg['background-repeat']).';') : '';
        $output .= !empty($body_bg['background-size']) ? ('background-size:'.esc_attr($body_bg['background-size']).';') : '';
        $output .= !empty($body_bg['background-attachment']) ? ('background-attachment:'.esc_attr($body_bg['background-attachment']).';') : '';
        $output .= !empty($body_bg['background-position']) ? ('background-position:'.esc_attr($body_bg['background-position']).';') : '';            
        $output .= '}';
    }
        $output .= 'h1, h2, h3, h4, h5, h6, blockquote, ul.sf-menu, ul.sf-mobile-menu, .tw-pagination';
        $output .= 'body .btn, .waves-footer{';
            $output .= !empty($heading_typography['font-weight']) ? ('font-weight: '.esc_attr($heading_typography['font-weight']).';') : '';
            $output .= !empty($heading_typography['font-family']) ? ('font-family: "'.esc_attr($heading_typography['font-family']).'";') : '';
            $output .= !empty($heading_typography['text-transform']) ? ('text-transform: '.esc_attr($heading_typography['text-transform']).';') : '';
        $output .= '}';
        
        $output .= 'h1{';
            $output .= !empty($h1_font_size['font-size']) ? ('font-size: '.esc_attr($h1_font_size['font-size']).';') : '';
        $output .= '}';
        $output .= 'h2{';
            $output .= !empty($h2_font_size['font-size']) ? ('font-size: '.esc_attr($h2_font_size['font-size']).';') : '';
        $output .= '}';
        $output .= 'h3{';
            $output .= !empty($h3_font_size['font-size']) ? ('font-size: '.esc_attr($h3_font_size['font-size']).';') : '';
        $output .= '}';
        $output .= 'h4{';
            $output .= !empty($h4_font_size['font-size']) ? ('font-size: '.esc_attr($h4_font_size['font-size']).';') : '';
        $output .= '}';
        $output .= 'h5{';
            $output .= !empty($h5_font_size['font-size']) ? ('font-size: '.esc_attr($h5_font_size['font-size']).';') : '';
        $output .= '}';
        $output .= 'h6{';
            $output .= !empty($h6_font_size['font-size']) ? ('font-size: '.esc_attr($h6_font_size['font-size']).';') : '';
        $output .= '}';
        
        $output .= 'aside.widget ul, .entry-meta, .entry-share,.tw-meta, .entry-cats, .wp-caption-text{';
            $output .= !empty($post_meta_typography['font-weight']) ? ('font-weight: '.esc_attr($post_meta_typography['font-weight']).';') : '';
            $output .= !empty($post_meta_typography['font-family']) ? ('font-family: "'.esc_attr($post_meta_typography['font-family']).'";') : '';
        $output .= '}';
        $output .= '.entry-meta, .entry-share,.tw-meta, .entry-cats, .wp-caption-text{';
            $output .= !empty($post_meta_typography['font-size']) ? ('font-size: '.esc_attr($post_meta_typography['font-size']).';') : '';
        $output .= '}';
        
        
        $output .= '
            ::selection,
            ::-moz-selection{
            background-color: '. esc_attr($primary_color).';
        }';
        $output .= 'button:hover,
            input[type="submit"]:hover,
            input[type="reset"]:hover,
            input[type="button"]:hover,
            .tw-pagination a:hover,
            .tw-pagination span.current,
            .entry-content .more-link a:hover,
            .mc4wp-form-fields input[type="submit"]{
            background-color: '. esc_attr($primary_color).';
            border-color: '.esc_attr($primary_color).';
        }';
        
        $output .= '.logo-point, .tw-contact i,
        .entry-title a:hover, blockquote:before,
        .instagram-pics .like-count i{
            color: '. esc_attr($primary_color) .';
        }';
        
        $output .= '#scroll-bar, .tw-slider .owl-nav i:hover,
        .owl-carousel .owl-dot.active span,
        .owl-carousel .owl-dot:hover span,
        .tw-format-modal + .tw-thumbnail .image-overlay-inner:hover,
        .owl-carousel-meta .owl-prev:hover,
        .owl-carousel-meta .owl-next:hover{
            background-color: '. esc_attr($primary_color).';
        }';
        
        $output .= '.entry-cats a, h3.widget-title >span{
            border-color: '. esc_attr($primary_color).';
        }';
        $output .= '.tw-search-icon:hover:before,.tw-search-icon:hover:after{
            border-color: '. esc_attr($primary_color).';
        }';
        
        $output .= 'a{';
            $output .= !empty($link_color['regular']) ? ('color: '.esc_attr($link_color['regular']).';') : '';
        $output .= '}';
        $output .= 'a:hover{';
            $output .= !empty($link_color['hover']) ? ('color: '.esc_attr($link_color['hover']).';') : '';
        $output .= '}';
        
        $output .= 'h1, h2, h3, h4, h5, h6, .entry-cats, blockquote{
            color: '. esc_attr($heading_color).';
        }';
        $output .= '.tw-meta, .entry-author a, .wp-caption p.wp-caption-text, blockquote cite{
            color: '. esc_attr($meta_color).';
        }';
        
        $output .= !empty($header_bg) ? ('.header-area, .header-small .tw-menu-container, .transparent-header .tw-slider:empty{background-color:'.esc_attr($header_bg).';}') : '';
        $output .= !empty($header_color) ? ('h1.site-name, .tw-header-meta i, .tw-menu .sf-menu{color:'.esc_attr($header_color).';} .nav-icon span{background-color:'.esc_attr($header_color).'}') : '';
        $menu_hover_selectors = '.tw-header-meta i:hover, .sf-menu > li:hover > a';
        $output .= !empty($menu_hover) ? ($menu_hover_selectors.'{color:'.esc_attr($menu_hover).';} .nav-icon:hover span{background-color:'.esc_attr($menu_hover).'}') : '';
        $output .= !empty($submenu_bg) ? ('.sf-menu ul{background-color:'.esc_attr($submenu_bg).';}.sf-menu > .menu-item-has-children:before{border-color: transparent transparent '.esc_attr($submenu_bg).' transparent;}') : '';
        $output .= !empty($submenu_color) ? ('.sf-menu ul, .sf-menu .sub-menu .menu-item-has-children:after{color:'.esc_attr($submenu_color).';}') : '';
        $output .= !empty($submenu_hover) ? ("\n". '.tw-menu .page_item > ul.children li:hover > a, .tw-menu .sub-menu li:hover > a, .sf-menu .sub-menu .menu-item-has-children:hover:after{color:'.esc_attr($submenu_hover).';}') : '';
        $output .= !empty($submenu_hoverbg) ? ("\n". '.tw-menu .page_item > ul.children li:hover > a, .tw-menu .sub-menu li:hover > a{background-color:'.esc_attr($submenu_hoverbg).';}') : '';
        $output .= !empty($header_bg) && $header_opacity != '' ? ("\n". '.transparent-header .header-area{background-color: rgba('.hotsugar_hex2rgb($header_bg).',.'.esc_attr($header_opacity).');}') : '';
        $output .= !empty($footer_bg) ? ('.bottom-area, .footer-area{background-color:'.esc_attr($footer_bg).';}') : '';
        $output .= !empty($footer_color) ? ('.tw-footer{color:'.esc_attr($footer_color).';}') : '';
        $output .= !empty($footer_widget) ? ('.bottom-area .widget{color:'.esc_attr($footer_widget).';}') : '';
        $output .= !empty($footer_heading) ? ('.bottom-area .site-name, .bottom-area h1, .bottom-area h2, .bottom-area h3, .bottom-area h4{color:'.esc_attr($footer_heading).';}') : '';
        $output .= !empty($footer_link['regular']) ? ('.bottom-area a, .tw-footer a{color:'.esc_attr($footer_link['regular']).';}') : '';
        $output .= !empty($footer_link['hover']) ? ('.bottom-area a:hover, .tw-footer a:hover{color:'.esc_attr($footer_link['hover']).';}') : '';
        
        $output .= !empty($slider_height) ? ('.tw-slider.slider1 .slider-item{height:'.intval($slider_height).'px;}') : '';
        if(!empty($header_height)){
            $output .= '.sf-menu > li > a{line-height: '.intval($header_height).'px;}';
            $output .= '.tw-menu-container, .header-clone{height:'.intval($header_height).'px;}';
        }
        
        $output .= hotsugar_option('custom_css');
        
        return $output;
}