<?php

/**
 * Initialize the custom Meta Boxes. 
 */
add_action('admin_init', 'hotsugar_post_options');

function hotsugar_post_options() {

    $post_options = array(
        Array(
            'name' => esc_html__('Featured post?', 'hotsugar'),
            'id' => 'masonry_post',
            'std' => '',
            'type' => 'checkbox',
            'desc' => esc_html__('This option will work only the Masonry Blog Layout.', 'hotsugar')
        ),      
        Array(
            'name' => esc_html__('Choose Post Single Layout', 'hotsugar'),
            'id' => 'single_layout',
            'std' => '',
            'desc' => esc_html__('Default will follow the Theme Option setting.', 'hotsugar'),
            'type' => 'layout',
            'options' => array(
                '' => array(
                    'title' => esc_html__('Default', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/default_option.png'
                ),
                'right-sidebar' => array(
                    'title' => esc_html__('Right Sidebar', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/single_rightsidebar.png'
                ),
                'left-sidebar' => array(
                    'title' => esc_html__('Left Sidebar', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/single_leftsidebar.png'
                ),
                'fullwidth-content' => array(
                    'title' => esc_html__('Fullwidth Content', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/single_fullwidth.png'
                ),
                'narrow-content' => array(
                    'title' => esc_html__('Narrow Content', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/single_narrow.png'
                )
            ),
        ),      
        Array(
            'name' => esc_html__('Choose Featured Media Layout', 'hotsugar'),
            'id' => 'single_media',
            'std' => '',
            'desc' => esc_html__('Default will follow the Theme Option setting.', 'hotsugar'),
            'type' => 'layout',
            'options' => array(
                '' => array(
                    'title' => esc_html__('Default', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/default_option.png'
                ),
                'small' => array(
                    'title' => esc_html__('Featured area small', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/media_small.png'
                ),
                'large' => array(
                    'title' => esc_html__('Featured area large', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/media_large.png'
                ),
                'fullwidth' => array(
                    'title' => esc_html__('Featured area fullwidth', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/media_fullwidth.png'
                ),
                'fullscreen' => array(
                    'title' => esc_html__('Featured area fullscreen', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/media_fullscreen.png'
                ),
                'none' => array(
                    'title' => esc_html__('Featured area None', 'hotsugar'),
                    'img' => HOTSUGAR_DIR . 'assets/img/slider_empty.png'
                )
            ),
        ),
        Array(
            'name' => esc_html__('Make Featured Image Parallax', 'hotsugar'),
            'id' => 'parallax_post',
            'std' => '',
            'desc' => esc_html__('Parallax will work on Full Featured and only Single and It will work Popular Posts and Slider.', 'hotsugar'),
            'type' => 'checkbox',
        ),
    );
    
    
    add_meta_box('post_meta_settings', esc_html__('Post settings', 'hotsugar'), 'hotsugar_postmetabox', 'post', 'normal', 'core', $post_options);

}
