<?php 
the_post();
get_header();
hotsugar_seen_add();

global $hotsugar_options;

$layout = hotsugar_metabox('single_layout');
if(empty($layout)){
    $layout = hotsugar_option('single_layout', 'right-sidebar');
}

$width = ' col-md-8';
if($layout == 'fullwidth-content'){
    $width = ' col-md-12';
}
$format = get_post_format() == "" ? "standard" : get_post_format();

$single_ads = hotsugar_option('ads-single');
if(!empty($single_ads)){
    echo '<div class="tw-ads ads-single-top">';
    echo do_shortcode($single_ads);
    echo '</div>';
}
if($hotsugar_options['single_media'] == 'large'){
    $atts['img_size'] = 'hotsugar_blog_large';
    hotsugar_single_title();
    echo hotsugar_entry_media($format, $atts);
}
?>
<div class="row"> 
    <?php if($layout == 'left-sidebar'){ get_sidebar(); }?>
    <div class="content-area <?php echo esc_attr($layout.$width);?>">
        <article <?php post_class('single'); ?>>
            <?php 
            if($hotsugar_options['single_media'] == 'small'){
                $atts['img_size'] = 'hotsugar_blog_large';
                hotsugar_single_title();
                echo hotsugar_entry_media($format, $atts);
            } elseif($hotsugar_options['single_media'] == 'none'){
                hotsugar_single_title();
            } ?>                    
            <div class="entry-content">
                <?php the_content(); ?>
                <?php wp_link_pages(); ?>
                <div class="clearfix"></div>
            </div>
            <?php 
                if(hotsugar_option('single_tags', true)){
                    echo get_the_tag_list('<div class="entry-tags tw-meta">', '', '</div>');
                }
                if(hotsugar_option('single_share', true)){
                    $post_image = hotsugar_image('full', true);
                    echo '<div class="entry-share" data-ajaxurl="'.esc_url(home_url('/')).'" data-id="'.esc_attr(get_the_id()).'">';
                        echo '<a class="facebook" href="' . esc_url(get_permalink()) . '" title="Share this"><i class="ion-social-facebook"></i><span>'.esc_html(hotsugar_share_count(array('facebook'))).'</span></a>';
                        echo '<a class="pinterest" href="' . esc_url(get_permalink()) . '" title="Pin It" data-image="' . esc_attr($post_image['url']) . '"><i class="ion-social-pinterest"></i><span>'.esc_html(hotsugar_share_count(array('pinterest'))).'</span></a>';
                        echo '<a class="twitter" href="' . esc_url(get_permalink()) . '" title="Tweet" data-title="' . esc_attr(get_the_title()) . '"><i class="ion-social-twitter"></i><span>'.esc_html(hotsugar_share_count(array('twitter'))).'</span></a>';
                        echo hotsugar_comment_count();
                    echo '</div>';
                }
            ?>
        </article>
        <?php 
            if(hotsugar_option('single_pagination', true)){
                $prev = get_adjacent_post(false,'',true) ;
                $next = get_adjacent_post(false,'',false) ; ?>
                <div class="nextprev-postlink">
                    <div class="row">
                        <div class="col-md-6">
                        <?php if ( isset($prev->ID) ):
                            $thumb=$class='';
                            $pid = $prev->ID;
                            $img = wp_get_attachment_image_src( get_post_thumbnail_id($pid), 'thumbnail' );
                            if($img['0']){
                                $thumb = '<div class="post-thumb"><div style="background-image: url('.esc_url($img['0']).')"></div></div>';
                            }
                            else {
                                $class = ' no-image';
                            }?>
                                <div class="prev-post-link<?php echo BalanceTags($class); ?>">
                                    <a href="<?php echo esc_url(get_permalink( $pid )); ?>" title="<?php echo get_the_title( $pid );?>"><i class="ion-ios-arrow-back"></i><?php echo ($thumb .'<h4>'.get_the_title( $pid ).'</h4><span class="tw-meta">'.esc_html__('Previous Post', 'hotsugar').'</span>'); ?></a>
                                </div>
                        <?php endif;
                        if ( isset($next->ID) ):
                            $thumb=$class='';
                            $pid = $next->ID;
                            $img = wp_get_attachment_image_src( get_post_thumbnail_id($pid), 'thumbnail' );
                            if($img['0']){
                                $thumb = '<div class="post-thumb"><div style="background-image: url('.esc_url($img['0']).')"></div></div>';
                            }
                            else {
                                $class = ' no-image';
                            }?>
                            </div>
                            <div class="col-md-6">
                                <div class="next-post-link<?php echo BalanceTags($class); ?>">
                                    <a href="<?php echo esc_url(get_permalink( $pid )); ?>"><i class="ion-ios-arrow-forward"></i><?php echo ($thumb .'<h4>'.get_the_title( $pid ).'</h4><span class="tw-meta">'.esc_html__('Next Article', 'hotsugar').'</span>'); ?></a>
                                </div>
                        <?php endif; ?>
                        </div>
                    </div>
                </div>
        <?php }
        if(hotsugar_option('single_author', true)){
            hotsugar_author(); 
        }
        comments_template('', true); ?>
    </div>
    <?php if($layout == 'right-sidebar'){ get_sidebar(); }?>
</div>
<?php get_footer();